
GammaLib - Action #389

Feature # 44 (Closed): Add COMPTEL interface

Implement response handling

07/28/2012 12:59 AM - Knödlseder Jürgen

Status: Closed Start date: 02/20/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 20.00 hours

Target version: 00-07-00   

Description

Implement loading of response functions and response computation for binned analysis.

History

#1 - 07/28/2012 01:00 AM - Knödlseder Jürgen

- Description updated

#2 - 09/01/2012 03:49 AM - Knödlseder Jürgen

- Target version deleted (00-06-00)

#3 - 09/14/2012 11:39 PM - Knödlseder Jürgen

- Target version set to 00-07-00

#4 - 09/19/2012 08:53 PM - Knödlseder Jürgen

- Status changed from New to In Progress

#5 - 12/02/2012 02:26 PM - Knödlseder Jürgen

Recall that the model computation is done in GModelSky::spatial using

double irf = rsp->irf(event, *this, srcEng, srcTime, obs);

...

value = spec * temp * irf;

i.e. by using the result of the irf() method, hence the GCOMResponse::irf method must return the full response value. Note that the observation obs is

passed to the irf method, hence values stored in GCOMObservation can be used for response computation. Note also that event is passed, hence the

irf method knows which bin is handled.

Therefore, the DRG and DRX part of the response will be stored in the GCOMObservation class, and will be accessed by the GCOMResponse::irf

method as needed using the information provided by the event and obs arguments.

#6 - 12/02/2012 11:18 PM - Knödlseder Jürgen

- % Done changed from 0 to 40
So far, the IAQ loading has been implemented. We still need to implement IRF computations.

#7 - 12/04/2012 01:51 AM - Knödlseder Jürgen

- % Done changed from 40 to 70

- Remaining (hours) changed from 20.0 to 2.0

The IRF computation has been implemented.

Fitting the Crab gives a reasonable result, yet the fit does not seem to converge properly. Some cross-check is needed to see whether the response

is correctly computed. We also should verify if all the normalizations are done correctly. Probably, we should write down what exactly is in the various

files (IAQ, DRG, DRX).

#8 - 12/04/2012 10:45 PM - Knödlseder Jürgen

- % Done changed from 70 to 100

- Remaining (hours) changed from 2.0 to 0.0

Okay, the problem was that the DRG, which is used as DRB, has non-vanishing values in the first two Phibar slices where there are no data. This led

to a discrepancy between observed and predicted events. Once this two slices are set to zero, this work correctly.

#9 - 12/04/2012 10:45 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

#10 - 12/04/2012 10:45 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
